octave-ga_0.10.0-6_all.deb


Advertisement

Description

octave-ga - genetic optimization code for Octave

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename octave-ga_0.10.0-6_all.deb
Package name octave-ga
Package version 0.10.0
Package release 6
Package architecture all
Package type deb
Category devel::lang:octave devel::library implemented-in::TODO math role::devel-lib
Homepage https://octave.sourceforge.io/ga/
License -
Maintainer Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Download size 13.99 KB
Installed size 93.00 KB
This package provides function to work with genetic algorithms in Octave, a
numerical computation software. It provides the ga() function, which works
similarly to other optimization functions in Octave.
This Octave add-on package is part of the Octave-Forge project.

Alternatives

Package Version Architecture Repository
octave-ga_0.10.0-6_all.deb 0.10.0 all Debian Main
octave-ga - - -

Requires

Name Value
octave >= 4.4.1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package octave-ga_0.10.0-6_all.deb
Source Package octave-ga

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install octave-ga deb package:
    # sudo apt-get install octave-ga

Files

Path
/usr/share/doc/octave-ga/NEWS
/usr/share/doc/octave-ga/changelog.Debian.gz
/usr/share/doc/octave-ga/copyright
/usr/share/octave/packages/ga-0.10.0/__ga_crossoverfcn__.m
/usr/share/octave/packages/ga-0.10.0/__ga_initial_population__.m
/usr/share/octave/packages/ga-0.10.0/__ga_mutationfcn__.m
/usr/share/octave/packages/ga-0.10.0/__ga_popinitrange__.m
/usr/share/octave/packages/ga-0.10.0/__ga_problem__.m
/usr/share/octave/packages/ga-0.10.0/__ga_problem_private_state__.m
/usr/share/octave/packages/ga-0.10.0/__ga_problem_return_variables__.m
/usr/share/octave/packages/ga-0.10.0/__ga_problem_state_selection__.m
/usr/share/octave/packages/ga-0.10.0/__ga_problem_update_state_at_each_generation__.m
/usr/share/octave/packages/ga-0.10.0/__ga_scores__.m
/usr/share/octave/packages/ga-0.10.0/__ga_selectionfcn__.m
/usr/share/octave/packages/ga-0.10.0/__ga_stop__.m
/usr/share/octave/packages/ga-0.10.0/__gaoptimset_default_options__.m
/usr/share/octave/packages/ga-0.10.0/crossoverscattered.m
/usr/share/octave/packages/ga-0.10.0/doc-cache
/usr/share/octave/packages/ga-0.10.0/fitscalingrank.m
/usr/share/octave/packages/ga-0.10.0/ga.m
/usr/share/octave/packages/ga-0.10.0/gacreationuniform.m
/usr/share/octave/packages/ga-0.10.0/gaoptimset.m
/usr/share/octave/packages/ga-0.10.0/mutationgaussian.m
/usr/share/octave/packages/ga-0.10.0/rastriginsfcn.m
/usr/share/octave/packages/ga-0.10.0/selectionstochunif.m
/usr/share/octave/packages/ga-0.10.0/test_ga.m
/usr/share/octave/packages/ga-0.10.0/packinfo/DESCRIPTION
/usr/share/octave/packages/ga-0.10.0/packinfo/INDEX
/usr/share/octave/packages/ga-0.10.0/packinfo/NEWS

Changelog

2019-01-02 - Rafael Laboissiere <rafael@debian.org>
octave-ga (0.10.0-6) unstable; urgency=medium
* Team upload
* d/control:
+ Add Rules-Requires-Root: no
+ Bump Standards-Version to 4.3.0
+ Bump to debhelper compat level 12
* Build-depend on debhelper-compat instead of using d/compat
* d/p/max-EliteCount-in-ga-unit-test.patch: New patch
2018-06-17 - Sébastien Villemot <sebastien@debian.org>
octave-ga (0.10.0-5) unstable; urgency=medium
[ Mike Miller ]
* d/control, d/copyright: Use secure URL for upstream source.
[ Rafael Laboissiere ]
* d/control: Bump Standards-Version to 4.1.4 (no changes needed)
[ Sébastien Villemot ]
* New patches:
+ missing-return-value.patch: fixes FTBFS against octave 4.4
+ continuation-warning.patch: remove some deprecation warnings
2018-02-10 - Rafael Laboissiere <rafael@debian.org>
octave-ga (0.10.0-4) unstable; urgency=medium
* Use dh-octave for building the package
* d/control:
+ Use Debian's GitLab URLs in Vcs-* headers
+ Change Maintainer to team+pkg-octave-team@tracker.debian.org
2017-12-29 - Rafael Laboissiere <rafael@debian.org>
octave-ga (0.10.0-3) unstable; urgency=medium
* Team upload.
[ Sébastien Villemot ]
* d/copyright: use secure URL for format.
* d/watch: bump to format version 4.
[ Rafael Laboissiere ]
* Use the dh-based version of octave-pkg-dev
* Set debhelper compatibility level to >= 11
* d/control:
+ Bump Standards-Version to 4.1.3 (no changes needed)
+ Use secure URIs in the Vcs-* fields
+ Use cgit instead of gitweb in Vcs-Browser URL
+ Add Testsuite field
2014-09-22 - Sébastien Villemot <sebastien@debian.org>
octave-ga (0.10.0-2) unstable; urgency=medium
[ Sébastien Villemot ]
* Use my @debian.org email address
* Remove Thomas Weber from Uploaders.
* Bump Standards-Version to 3.9.6, no changes needed.
[ Thomas Weber ]
* debian/control: Use canonical URLs in Vcs-* fields
[ Rafael Laboissiere ]
* Remove obsolete DM-Upload-Allowed flag
2012-04-18 - Sébastien Villemot <sebastien.villemot@ens.fr>
octave-ga (0.10.0-1) unstable; urgency=low
* Imported Upstream version 0.10.0 (Closes: #622929)
* debian/copyright: reflect upstream changes
* Drop obsolete Build-Depends/Depends on octave-{communications,miscellanous}
2012-03-31 - Thomas Weber <tweber@debian.org>
octave-ga (0.9.8-3) unstable; urgency=low
[ Sébastien Villemot ]
* Imported Upstream version 0.9.8
* Bump to debhelper compat level 9
* Bump to Standards-Version 3.9.3, no changes needed
* Build-depend on octave-pkg-dev >= 1.0.1, to compile against Octave 3.6
* Add Sébastien Villemot to Uploaders
* debian/copyright: upgrade to machine-readable format 1.0
2011-04-16 - Thomas Weber <tweber@debian.org>
octave-ga (0.9.8-2) unstable; urgency=low
* Upload to unstable
* Bump Standards-Version to 3.9.1 (no changes needed)
* Switch to dpkg-source 3.0 (quilt) format
2010-09-01 - Thomas Weber <tweber@debian.org>
octave-ga (0.9.8-1) experimental; urgency=low
* New upstream release
* debian/control:
- Remove Rafael Laboissiere from Uploaders (Closes: #571844)
- Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
2009-12-03 - Thomas Weber <thomas.weber.mail@gmail.com>
octave-ga (0.9.7-1) unstable; urgency=low
[ Rafael Laboissiere ]
* debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
package is built against octave3.2
[ Thomas Weber ]
* New upstream release.

See Also

Package Description
octave-gdf_0.1.2-2.1+b3_amd64.deb IO library for the GDF -- Octave interface
octave-general_2.1.0-2_amd64.deb provide extra general functions for Octave
octave-geometry_3.0.0-9_amd64.deb geometric computing functions for Octave
octave-gsl_2.1.1-2_amd64.deb GSL binding for Octave
octave-htmldoc_4.4.1-5_all.deb transitional package for Octave HTML documentation
octave-image-acquisition_0.2.2-2_amd64.deb image acquisition package for Octave
octave-image_2.10.0-2_amd64.deb image manipulation for Octave
octave-info_4.4.1-5_all.deb transitional package for Octave info documentation
octave-instrument-control_0.3.1-2_amd64.deb instrument control for Octave
octave-interval-doc_3.2.0-4_all.deb real-valued interval arithmetic for Octave (arch-indep files)
octave-interval_3.2.0-4_amd64.deb real-valued interval arithmetic for Octave
octave-io_2.4.12-2_amd64.deb input/output data functions for Octave
octave-level-set_0.3.0-6_amd64.deb level-set toolbox for Octave
octave-linear-algebra_2.2.2-7_amd64.deb additional linear-algebra functions for Octave
octave-lssa_0.1.3-2_amd64.deb least squares spectral analysis for Octave
Advertisement
Advertisement